<html>
<head>
<title>OGRE: OgreRenderQueueSortingGrouping.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderQueueSortingGrouping.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMaterial_8h-source.html">OgreMaterial.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTechnique_8h-source.html">OgreTechnique.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgrePass_8h-source.html">OgrePass.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>&quot;</code><br>

<p>
<a href="OgreRenderQueueSortingGrouping_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html">Ogre::RenderablePass</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Struct associating a single <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> with a single <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  <a href="structOgre_1_1RenderablePass.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">Ogre::QueuedRenderableVisitor</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Visitor interface for items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a>.  <a href="classOgre_1_1QueuedRenderableVisitor.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">Ogre::QueuedRenderableCollection</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lowest level collection of renderables.  <a href="classOgre_1_1QueuedRenderableCollection.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html">Ogre::QueuedRenderableCollection::PassGroupLess</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator to order pass groups.  <a href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html">Ogre::QueuedRenderableCollection::DepthSortDescendingLess</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator to order objects by descending camera distance.  <a href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html">Ogre::QueuedRenderableCollection::RadixSortFunctorPass</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Functor for accessing sort value 1 for radix sort (<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>).  <a href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorDistance.html">Ogre::QueuedRenderableCollection::RadixSortFunctorDistance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Functor for descending sort value 2 for radix sort (distance).  <a href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorDistance.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Collection of renderables by priority.  <a href="classOgre_1_1RenderPriorityGroup.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html">Ogre::RenderQueueGroup</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A grouping level underneath <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a> which groups renderables to be issued at coarsely the same time to the renderer.  <a href="classOgre_1_1RenderQueueGroup.html#_details">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
